Vulnerabilities & ImagesGet Accounts Account_id Reports Inventory_cves

GET /accounts/{account_id}/reports/inventory_cves

Report detailing the CVEs found in the inventory

curl -X GET "https://api.rad.security/accounts/example_string/reports/inventory_cves?sort=example_string&filters=example_string&columns=example_string" \
  -H "Content-Type: application/json" \
  -H "accept: example_string" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
[
  {
    "affected_clusters_count": 10,
    "affected_images_count": 25,
    "affected_owner_uids": [
      "example_string"
    ],
    "affected_workloads_count": 10,
    "associated_images": [
      {
        "image_digest": "example_string",
        "image_name": "John Doe",
        "image_repo": "example_string",
        "image_tag": "example_string"
      }
    ],
    "cluster_id": "example_string",
    "cve_name": "John Doe",
    "data_source": "example_string",
    "epss_percentile": 3.14,
    "epss_score": 3.14,
    "first_seen_at": "example_string",
    "fixable": true,
    "fixed_in_version": "example_string",
    "in_use": true,
    "is_known_exploited": true,
    "last_seen_at": "example_string",
    "package_id": "example_string",
    "package_name": "John Doe",
    "package_version": "example_string",
    "severity": "example_string"
  }
]
GET
/accounts/{account_id}/reports/inventory_cves
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Bearer token - just enter the token, "Bearer" prefix will be added automatically

query
sortstring

Sort details in format: field:asc|desc. Allowed fields: cve_name, package_name, package_version, severity, in_use, is_known_exploited, epss_score, epss_percentile, first_seen_at, last_seen_at, affected_workloads_count, affected_images_count, affected_clusters_count. Default: affected_workloads_count:desc

query
filtersstring

Filters in format: key1:value1,key2:value2

query
columnsstring

List of columns to include in the CSV report, using ';' as a delimiter

header
acceptstring
Required

Accept header: application/json or text/csv

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Authentication token required.

Path Parameters

Query Parameters

sortstring

Sort details in format: field:asc|desc. Allowed fields: cve_name, package_name, package_version, severity, in_use, is_known_exploited, epss_score, epss_percentile, first_seen_at, last_seen_at, affected_workloads_count, affected_images_count, affected_clusters_count. Default: affected_workloads_count:desc

filtersstring

Filters in format: key1:value1,key2:value2

columnsstring

List of columns to include in the CSV report, using ';' as a delimiter

Headers

acceptstring
Required

Accept header: application/json or text/csv

Responses

affected_clusters_countinteger
affected_images_countinteger
affected_owner_uidsstring[]
affected_workloads_countinteger
associated_imagesarray

TODO deprecated: remove once clients stop using it

cluster_idstring

TODO deprecated: remove once clients stop using it

cve_namestring
data_sourcestring
epss_percentilenumber
epss_scorenumber
first_seen_atstring
fixableboolean
fixed_in_versionstring
in_useboolean
is_known_exploitedboolean
last_seen_atstring
package_idstring
package_namestring
package_versionstring
severitystring